
(* @(#)parameters.m	1.2	12/18/97 *)

(* Explanation of parameters used *)

Wmp =   0;	(* weight on mag. response in passband *)
Wmt =   0;	(* weight on mag. response in transition band *)
Wms =   0;	(* weight on mag. response in stopband *)
Wph =   0.1;	(* weight on deviation from linear phase *)
WQ =    0;	(* weight on quality factor cost *)
WO =    1;	(* weight on percent overshoot cost *)
wp =    0.5;	(* end of passband frequency *)
ws =   10;	(* start of stopband frequency *)
wmax = wp;	(* maximum frequency for filter to exhibit linear phase *)
maxO = 20;	(* maximum percent overshoot of the step response *)
dp =    0.7;	(* maximum attenuation in the passband *)
ds =    0.01;	(* minimum attenuation in the stopband *)

(* switch to a sixth-order filter *)
(*
n = 3; 
wp = 20;
ws = 27;
dp = 0.21;
ds = 0.31;
 *)

(* switch to a fourth-order filter *)
n = 2; 
wp = 20;
ws = 30;
dp = 0.21;
ds = 0.31;

wmax = wp;
